## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 9;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate add-determinism
%global __cargo_is_lib() 0

Name:           rust-add-determinism
Version:        0.2.0
Release:        %autorelease
Summary:        RPM buildroot helper to strip nondeterministic bits in files

License:        GPL-3.0-or-later
URL:            https://crates.io/crates/add-determinism
Source:         %{crates_source}

Patch:          0001-Make-pyo3-dependency-optional.patch
Patch:          0002-rpm-call-.nopython-variant-if-full-is-not-installed.patch

BuildRequires:  cargo-rpm-macros >= 24


%global _description %{expand:
RPM buildroot helper to strip nondeterministic bits in files.}

%description %{_description}

%package     -n %{crate}
Summary:     %{summary}
License:     GPL-3.0-or-later AND (Apache-2.0 OR MIT) AND MIT AND (MIT OR Apache-2.0) AND (Unlicense OR MIT)
Recommends:  python3dist(marshalparser)
Conflicts:   %{crate}-nopython < %{version}-%{release}

%description -n %{crate} %{_description}

This is the full version that needs python3-libs.

%files       -n %{crate}
%license LICENSE.GPL3
%license LICENSE.dependencies
%doc README.md
%{_bindir}/add-determinism

%package     -n %{crate}-nopython
Summary:     Build of add-determinism without the dependency on libpython
Conflicts:   %{crate} < %{version}-%{release}

%description -n %{crate}-nopython %{_description}

This is the basic variant that doesn't need python3-libs.

%files       -n %{crate}-nopython
%license LICENSE.GPL3
%license LICENSE.dependencies
%doc README.md
%{_bindir}/add-determinism.nopython

%package     -n build-reproducibility-srpm-macros
Summary:     Configuration to integrate add-determinism in package builds
BuildArch:   noarch
Requires:    add-determinism-nopython = %{version}-%{release}
Requires:    (add-determinism = %{version}-%{release} if python3-libs)

%description -n build-reproducibility-srpm-macros
%{summary}.

This package is intended to be pulled in by redhat-rpm-config.

%files       -n build-reproducibility-srpm-macros
%{rpmmacrodir}/macros.build-reproducibility

%prep
# Work-around to let the patch apply cleanly, drop after patch is integrated upstream
%setup -q -n %{crate}-%{version}
mv Cargo.toml{.orig,}
%patch 0 -p1
%patch 1 -p1

%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'python3dist(marshalparser)'

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} >LICENSE.dependencies

%cargo_build -n -- --target-dir=target/nopython

%install
%cargo_install

install -D target/nopython/rpm/add-determinism %{buildroot}%{_bindir}/add-determinism.nopython

install -m0644 -Dt %{buildroot}%{rpmmacrodir} rpm/macros.build-reproducibility

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.2.0-9
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri May 17 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-8
- Actually apply patches as intended

* Thu May 16 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-7
- Install -nopython version unconditionally and full via rich dep

* Sat May 11 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-6
- Drop conditionalization on rpm-build

* Tue May 07 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-5
- Create separate noarch build-reproducibility-srpm-macros subpackage

* Tue May 07 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-3
- Introduce add-determinism-nopython
- This version of the program is not linked to libpython, so it can be used
  for bootstrapping. The handler for .pyc files is disabled.

* Tue May 07 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-2
- Drop -devel subpackages

* Wed Apr 03 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-1
- Version 0.2.0

* Thu Mar 28 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0.20240325git3d2444a-2
- Install /usr/lib/rpm/macros/macros.build-reproducibility

* Mon Mar 25 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0.20240325git3d2444a-1
- Version 0.1.0.20240325git5004746

* Sun Mar 24 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-2
- Spell out the full license for the binary package

* Sat Mar 23 2024 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.1.0-1
- Initial packaging
## END: Generated by rpmautospec
